org.richfaces.fragment.tree

## Class RichFacesTreeNode

- java.lang.Object
- - org.richfaces.fragment.tree.RichFacesTree
  - - org.richfaces.fragment.tree.RichFacesTreeNode

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesTree.AdvancedTreeInteractionsImpl>, AdvancedVisibleComponentIteractions<RichFacesTree.AdvancedTreeInteractionsImpl>, Tree, Tree.TreeNode

      public class RichFacesTreeNode
      extends RichFacesTree
      implements Tree.TreeNode

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesTreeNode.AdvancedNodeInteractionsImpl`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.tree.RichFacesTree

      `RichFacesTree.AdvancedTreeInteractionsImpl`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.tree.Tree.TreeNode

      `Tree.TreeNode.AdvancedTreeNodeInteractions`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.tree.Tree

      `Tree.AdvancedTreeInteractions, Tree.TreeNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesTreeNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesTreeNode.AdvancedNodeInteractionsImpl` | `advanced()`
    `protected int` | `getIndexOfPickedElement(ChoicePicker picker)`

    - ### Methods inherited from class org.richfaces.fragment.tree.RichFacesTree

      `collapseNode, collapseNode, expandNode, expandNode, selectNode, selectNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.tree.Tree

      `collapseNode, collapseNode, expandNode, expandNode, selectNode, selectNode`

- - ### Constructor Detail

    - #### RichFacesTreeNode

          public RichFacesTreeNode()

  - ### Method Detail

    - #### advanced

          public RichFacesTreeNode.AdvancedNodeInteractionsImpl advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesTree.AdvancedTreeInteractionsImpl>`
      Specified by:
        `advanced` in interface `Tree.TreeNode`
      Overrides:
        `advanced` in class `RichFacesTree`

    - #### getIndexOfPickedElement

          protected int getIndexOfPickedElement(ChoicePicker picker)

      Overrides:
        `getIndexOfPickedElement` in class `RichFacesTree`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.